{ ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "intuos";
    wireless.enable = true;
    vlans.internal = {
      id=100;
      interface="wlp1s0";
    };
    interfaces.internal.ipv4.addresses = [{
      address = "11.0.0.102";
      prefixLength = 8;
    }];
  };

  system = {
    desktop.enable = true;
    stateVersion = "24.11";
  };
}
